package edu.ucsd.act.autocomplete.web;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.servlet.ModelAndView;

import edu.ucsd.act.autocomplete.dao.NameDao;
import edu.ucsd.act.autocomplete.dao.impl.NameDaoImpl;
import edu.ucsd.act.autocomplete.dao.impl.NameDaoImpl2;

@Controller
public class NameController {
	
	@RequestMapping("/getNames.json")
	public ModelAndView getNames(@RequestParam("term") String q) {
		Map retval = new HashMap();
		NameDao nameDao = new NameDaoImpl();
		List<Map<String,String>> queryResults = nameDao.getNames(q);
		retval.put("presidents", queryResults);
		return new ModelAndView("jsonView", retval);
	}

}
