package edu.ucsd.act.autocomplete.dao.impl;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import edu.ucsd.act.autocomplete.dao.NameDao;

public class NameDaoImpl implements NameDao {
	
	String nameDB[] = {
			"KIM, JUNIL ALLAN",
			"OBAMA, BARACK HUSSEIN",
			"BUSH, GEORGE WALKER",
			"CLINTON, WILLIAM JEFFERSON",
			"BUSH, GEORGE HERBERT WALKER",
			"REAGAN, RONALD WILSON",
			"CARTER, JAMES EARL JR",
			"FORD, GERALD RUDOLPH",
			"NIXON, RICHARD MILHOUS",
			"JOHNSON, LYNDON BAINES",
			"KENNEDY, JOHN FITZGERALD",
			"EISENHOWER, DWIGHT DAVID",
			"TRUMAN, HARRY S"
		};
	
	/*
	String nameDB2[] = {
			"OBAMA, MICHELLE LAVAUGHN",
			"BUSH, LAURA LANE",
			"CLINTON, HILLARY DIANE",
			"BUSH, BARBARA",
			"REAGAN, NANCY",
			"CARTER, ROSALYNN",
			"FORD, ELIZABETH ANN",
			"NIXON, THELMA CATHERINE (PAT)",
			"JOHNSON, CLAUDIA ALTA (LADY BIRD)",
			"KENNEDY ONASSIS, JACQUELINE LEE BOUVIER",
			"EISENHOWER, MAMIE GENEVA",
			"TRUMAN, ELIZABETH VIRGINIA (BESS)"
	};
	*/

	/* (non-Javadoc)
	 * @see edu.ucsd.act.autocomplete.dao.impl.NameDao#getNames(java.lang.String)
	 */
	public List<Map<String,String>> getNames(String q) {
		List<Map<String,String>> names = new ArrayList(); 
		for (String name : nameDB) {
			if (name.toLowerCase().contains(q.toLowerCase())) {
				Map<String,String> m = new HashMap<String,String>();
				m.put("name", name);
				names.add(m);
			}
		}
		return names;
	}
	
}
