<%@ include file="include-taglib.jsp"%>
<html>
<head>
<title>autocomplete</title>
<%@ include file="meta-webapp.jsp"%>
<script type="text/javascript" src="http://uxt.ucsd.edu/common/jquery-ui/1.8.5/jquery-ui-1.8.5.custom.js"></script>
<link rel="stylesheet" href="http://uxt.ucsd.edu/common/jquery-ui/1.8.5/jquery-ui-1.8.5.custom.css" />
</head>
<body>
<%@ include file="include-nav.jsp"%>
<%@ include file="include-crumbs.jsp"%>
<h1>autocomplete</h1>
<p>Welcome to the autocomplete web application.</p>

<script>
	

	( function($) {
		$(document).ready( function() {
			$("#president").autocomplete({
				minLength : 3,
				source : function(req, add) {
					console.log(req.term);
					//pass request to server  
					$.getJSON("getNames.json", req, function(jsonData) {
						var suggestions = [];
						$.each(jsonData.presidents, function(i, val) {
							suggestions.push(val.name);
						});
						//pass array to callback  
						add(suggestions);
					});
				},
				select : function(event, ui) {
					console.log(ui);
					alert("You've selected " + ui.item.value);
				}
			});
		});
	})(jQuery);


	/*
	Plumb to local service:
		change to getNames.json
	Plumb to JLink service:

		change to "/jlinkesb/json/demo_affiliate/name/" + req.term
		
	*/
	
</script>
	
	
	
	
<div>
	<label for="president">Select a president: </label>
	<input id="president" name="president" type="text" size="50" />
</div>




</body>
</html>